void printi(int val);
void printstr(char *str);

struct sample {
  int val;
  char *str;
};

int main()
{
  struct sample s;

  printi(sizeof(struct sample));
  printi(sizeof(s));

  s.val = 1;
  printi(s.val);

  s.str = "abcdefg";
  printstr(s.str);

  return 0;
}
